Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2895 closed enhancement (fixed)

Prefix the confdefs.h internal defines with an underscore

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: config Version:
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Prefix the confdefs.h internal defines with an underscore to simplify the review of this extremely complex header file.

Change History (5)

comment:1 Changed on 02/01/17 at 23:51:32 by Chris Johns

Could you please provide more detail about this change, why it helps and the user impact?

Thanks

comment:2 Changed on 02/02/17 at 05:45:24 by Sebastian Huber

It is common practice in RTEMS to prefix internal things with an underscore. The confdefs.h header file became quite complex over time. It uses a lot of internal defines and up to now everything starts with CONFIGURE_*. It has no user impact. It helps to identify undocumented configuration options.

comment:3 Changed on 02/14/17 at 08:45:07 by Sebastian Huber

Resolution: fixed
Status: newclosed

comment:4 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:5 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.